argnames.h File Reference

Standard names for retrieving values by name when working with `NameValuePairs`. More...

Go to the source code of this file.

## Namespaces

| Name
| Namespace containing value name definitions.

## Macros

#define | CRYPTOPP_DEFINE_NAME_STRING(name) inline const char *name() {return #name;}

## Functions

const char * | Name::Separator ()
const char * | Name::Terminator ()
const char * | Name::Uppercase ()
const char * | Name::GroupSize ()
const char * | Name::Pad ()
const char * | Name::PaddingByte ()
const char * | Name::Log2Base ()
const char * | Name::EncodingLookupArray ()
const char * | Name::DecodingLookupArray ()
const char * | Name::InsertLineBreaks ()
const char * | Name::MaxLineLength ()
const char * | Name::TreeMode ()

## Detailed Description

Standard names for retrieving values by name when working with `NameValuePairs`.

Definition in file argnames.h.